%global sover 1
%global repo util-dfm

Name:           deepin-util-dfm
Version:        1.3.4
Release:        2%{?dist}
Summary:        Utilities of deepin file manager
# the library is mainly under GPL-3.0-or-later, except:
# src/dfm-burn/3rdparty/udfclient: ClArtistic AND BSD-3-Clause AND BSD-4-Clause
License:        GPL-3.0-or-later AND ClArtistic AND BSD-3-Clause AND BSD-4-Clause
URL:            https://github.com/linuxdeepin/util-dfm
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz
Patch0:         https://github.com/linuxdeepin/util-dfm/pull/114.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  qt5-qtbase-private-devel

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  qt6-qtbase-private-devel

BuildRequires:  pkgconfig(udisks2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(mount)
BuildRequires:  pkgconfig(libmediainfo)
BuildRequires:  pkgconfig(libisoburn-1)

%description
A Toolkit of libdfm-io, libdfm-mount and libdfm-burn, developed by UnionTech
Software Technology Co., Ltd.

%package -n     dfm-burn
Summary:        The dfm-burn libraries

%description -n dfm-burn
A Toolkit of dfm-burn.

%package -n     dfm-burn-devel
Summary:        Development files for dfm-burn
Requires:       dfm-burn%{?_isa} = %{version}-%{release}

%description -n dfm-burn-devel
Development files for dfm-burn.

%package -n     dfm6-burn
Summary:        The dfm6-burn libraries

%description -n dfm6-burn
A Toolkit of dfm6-burn.

%package -n     dfm6-burn-devel
Summary:        Development files for dfm6-burn
Requires:       dfm6-burn%{?_isa} = %{version}-%{release}

%description -n dfm6-burn-devel
Development files for dfm6-burn.

%package -n     dfm-io
Summary:        The dfm-io libraries

%description -n dfm-io
A Toolkit of dfm-io.

%package -n     dfm-io-devel
Summary:        Development files for dfm-io
Requires:       dfm-io%{?_isa} = %{version}-%{release}

%description -n dfm-io-devel
Development files for dfm-io.

%package -n     dfm6-io
Summary:        The dfm6-io libraries

%description -n dfm6-io
A Toolkit of dfm6-io.

%package -n     dfm6-io-devel
Summary:        Development files for dfm6-io
Requires:       dfm6-io%{?_isa} = %{version}-%{release}

%description -n dfm6-io-devel
Development files for dfm6-io.

%package -n     dfm-mount
Summary:        The dfm-mount libraries

%description -n dfm-mount
A Toolkit of dfm-mount.

%package -n     dfm-mount-devel
Summary:        Development files for dfm-mount
Requires:       dfm-mount%{?_isa} = %{version}-%{release}

%description -n dfm-mount-devel
Development files for dfm-mount.

%package -n     dfm6-mount
Summary:        The dfm6-mount libraries

%description -n dfm6-mount
A Toolkit of dfm6-mount.

%package -n     dfm6-mount-devel
Summary:        Development files for dfm6-mount
Requires:       dfm6-mount%{?_isa} = %{version}-%{release}

%description -n dfm6-mount-devel
Development files for dfm6-mount.

%prep
%autosetup -p1 -n %{repo}-%{version}
# use Fedora build flags
sed -i 's/-O0//; s/-O3//' \
    src/dfm-io/CMakeLists.txt \
    src/dfm-burn/CMakeLists.txt

%build
%cmake -GNinja \
    -DDFM_BUILD_WITH_QT6=ON \
    -DPROJECT_VERSION=%{version} \
%cmake_build

%install
%cmake_install

%files -n dfm-burn
%{_libdir}/libdfm-burn.so.%{sover}
%{_libdir}/libdfm-burn.so.1.0.0

%files -n dfm-burn-devel
%{_includedir}/dfm-burn/
%{_libdir}/libdfm-burn.so
%{_libdir}/pkgconfig/dfm-burn.pc
%{_libdir}/cmake/dfm-burn/

%files -n dfm6-burn-devel
%{_includedir}/dfm6-burn/
%{_libdir}/libdfm6-burn.so
%{_libdir}/pkgconfig/dfm6-burn.pc
%{_libdir}/cmake/dfm6-burn/

%files -n dfm6-burn
%license LICENSES/*
%doc README.md
%{_libdir}/libdfm6-burn.so.%{sover}
%{_libdir}/libdfm6-burn.so.1.0.0

%files -n dfm-io
%{_libdir}/libdfm-io.so.%{sover}
%{_libdir}/libdfm-io.so.1.0.0

%files -n dfm-io-devel
%{_includedir}/dfm-io/
%{_libdir}/libdfm-io.so
%{_libdir}/pkgconfig/dfm-io.pc
%{_libdir}/cmake/dfm-io/

%files -n dfm6-io
%license LICENSES/*
%doc README.md
%{_libdir}/libdfm6-io.so.%{sover}
%{_libdir}/libdfm6-io.so.1.0.0

%files -n dfm6-io-devel
%{_includedir}/dfm6-io/
%{_libdir}/libdfm6-io.so
%{_libdir}/pkgconfig/dfm6-io.pc
%{_libdir}/cmake/dfm6-io/

%files -n dfm-mount
%{_libdir}/libdfm-mount.so.%{sover}
%{_libdir}/libdfm-mount.so.1.0.0

%files -n dfm-mount-devel
%{_includedir}/dfm-mount/
%{_libdir}/libdfm-mount.so
%{_libdir}/pkgconfig/dfm-mount.pc
%{_libdir}/cmake/dfm-mount/

%files -n dfm6-mount
%license LICENSES/*
%doc README.md
%{_libdir}/libdfm6-mount.so.%{sover}
%{_libdir}/libdfm6-mount.so.1.0.0

%files -n dfm6-mount-devel
%{_includedir}/dfm6-mount/
%{_libdir}/libdfm6-mount.so
%{_libdir}/pkgconfig/dfm6-mount.pc
%{_libdir}/cmake/dfm6-mount/

%changelog
%autochangelog
